Bug 997940 - Inclusion of gluster-swift gluster-swift-plugin-1.0-6 package needed
Inclusion of gluster-swift gluster-swift-plugin-1.0-6 package needed
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-swift (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Pabón
pushpesh sharma
: ZStream
Depends On: 1000423 1001418
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 11:05 EDT by Scott Haines
Modified: 2016-11-08 17:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Installing or upgrading the gluster-swift-plugin RPM overwrites /etc/swift configuration files. Hence, the customer configuration is overwritten, causing data unavailability. Now, the RPM installs or upgrades new configuration files with a non-conflicting extension and customer configuration files are not overwritten, maintaining data availability.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 14:11:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Luis Pabón 2013-08-18 18:56:35 EDT
What is the link for that errata?  I'm still not sure how to navigate the errata web site.
Comment 3 Luis Pabón 2013-08-19 12:58:49 EDT
Thank you Scott.  The RPM is now in the errata and more information and documentation about the fix can be found in https://bugzilla.redhat.com/show_bug.cgi?id=969224.
Comment 4 Anjana Suparna Sriram 2013-08-22 05:50:32 EDT
Hi Luis,


Could you updated the doc text for this bug as this bug is included in Update 6 errata?

Regards,
Anjana
Comment 5 Amar Tumballi 2013-08-23 04:31:49 EDT
now added to errata builds.
Comment 7 Luis Pabón 2013-08-25 22:30:48 EDT
I have updated the doc text for this bug from bug 969224.
Comment 8 Luis Pabón 2013-08-25 22:32:04 EDT
Bug depends on bug 1000423.  That bug has gone to status of POST pending review.
Comment 9 pushpesh sharma 2013-08-28 07:23:49 EDT
1.Upgrade from U4,U5(gluster-swift-plugin-1.0-5.noarch.rpm) --> to U6(gluster-swift-plugin-1.0-7.noarch.rpm) went well, all config files kept as it is, and new conf files are saved with -gluster extentions.  

2. While upgrading from U6 - > RHS2.1  
a.) all modified config files got saved with *.rpmsave extention and all unmodified config files got erased.   
b.) all ring related files and folder removed (*ring.gz & *builders ) , as these needed to be created afresh. 

3. A proper upgrade documentation of RHS2.1 is all it need. U6 seems good to go from gluster-swift point of view. 

Marking the BZ as verfied based on above observations.
Comment 11 errata-xmlrpc 2013-09-04 14:11:16 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1205.html

Note You need to log in before you can comment on or make changes to this bug.